/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::set_size"
  void Signal::set_size (uint32_t size)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    _size = size;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

#undef  FUNCTION
#define FUNCTION "Signal::set_size_max"
  void Signal::set_size_max (uint32_t size)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    if (size > _size)
      _size = size;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
